/*  6 spoke wheel used on some QR Wagons, Scale is 22.5 For Garden railway,
*/
//spokes
$fn=50;
translate([0,.8,0]) polar_array ( radius=3, count=6 ) rotate ([0,90,0]) resize([1.8,3.8,9]) cylinder(5, center=false);

//Tire
difference(){
    union(){
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=29.5,d2=28.5 ,h=5.5); 
//flange
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=34,d2=34 ,h=.8);   
      //taper
 translate([0,2.2])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d1=34,d2=25 ,h=1.4);         
    }
 union(){
 translate([0,-1.5])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=24.5 ,h=8);  
     
 translate([0,3.1])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=23 ,h=8.5); 

}}
//Hub centre
difference(){
 translate([0,3])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=7 ,h=5);
//Axle hole     
 translate([0,4.5])
 rotate(a = 90, v=[1,0,0])
 cylinder($fn=150,d=3 ,h=7); } 


module polar_array( radius, count, axis ) {
    for ( i= [1:360/count:360])  {
        rotate([0,i,0]) 
        translate([ radius,0,0 ] )
        children();
        
    }
}

//Cheers Aaron.